<!-- ding  作为其他ding应用的第三方单点登录 -->
<template>
  <div class="dingdingbg">
    <el-empty
      :image="imgSrc"
      :image-size="200"
      v-if="empty"
      description="验证失败"
    ></el-empty>
  </div>
</template>
<script>
import req from '@/request.js'
import portal from '@/api/portal.js'
import utils from '@/utils.js'

export default {
  components: {},
  data() {
    return {
      empty: false,
      layout: {},
      gridList: [],
      imgSrc: require('@/assets/img/auth.png'),
      routeInfo: {
        MobileDeviceNav: {
          text: '设备管理',
          path: '/MobileHome/MobileDeviceNav'
        },
        MobileManageNav: {
          text: '综合管理',
          path: '/MobileHome/MobileManageNav'
        },
        // 设备
        MobileDeviceHealth: {
          text: '健康分析',
          path: '/MobileDeviceHome/MobileDeviceHealth'
        },
        MobileDevice: {
          text: '设备管理',
          path: '/MobileDeviceHome/MobileDevice'
        },
        // 综合
        MobileTeamMember: {
          text: '勤务人员',
          path: '/MobileManageHome/MobileTeamMember'
        },
        MobileDutyWorkArranged: {
          text: '勤务排班',
          path: '/MobileManageHome/MobileDutyWorkArranged'
        },
        MobileSaftyDangerCheckPlan: {
          text: '安全排查计划',
          path: '/MobileManageHome/MobileSaftyDangerCheckPlan'
        },
        MobileSaftyDanger: {
          text: '隐患查询',
          path: '/MobileManageHome/MobileSaftyDanger'
        },
        MobileTrainingPlan: {
          text: '安全培训计划',
          path: '/MobileManageHome/MobileTrainingPlan'
        },
        MobileMaterialStock: {
          text: '物资库存',
          path: '/MobileManageHome/MobileMaterialStock'
        },
        MobileMaterialStockAnalysis: {
          text: '物资统计',
          path: '/MobileManageHome/MobileMaterialStockAnalysis'
        },
        MobileMaterialPurchasing: {
          text: '物资采购申请',
          path: '/MobileManageHome/MobileMaterialPurchasing'
        },
        EquipmentMap: {
          text: '设备地图',
          path: '/MobileDeviceHome/EquipmentMap'
        },
        Inspection: {
          text: '巡查巡检',
          path: '/MobileDeviceHome/Inspection'
        },
        ReportForRepairs: {
          text: '报事报修',
          path: '/MobileDeviceHome/ReportForRepairs'
        },
        WorkOrderHandling: {
          text: '工单处置',
          path: '/MobileDeviceHome/WorkOrderHandling'
        },
        ClockIn: {
          text: '打卡',
          path: '/MobileDeviceHome/ClockIn'
        },
        AskForLeave: {
          text: '请假',
          path: '/MobileDeviceHome/AskForLeave'
        },
        ServicePostMonitoring: {
          text: '勤务岗位监测',
          path: '/MobileDeviceHome/ServicePostMonitoring'
        },
        safetyObjectives: {
          text: '安全目标',
          path: '/MobileDeviceHome/safetyObjectives'
        },
        annualSafetyPlan: {
          text: '安全年度计划',
          path: '/MobileDeviceHome/annualSafetyPlan'
        },
        safetyResponsibilityLetter: {
          text: '安全年度计划',
          path: '/MobileDeviceHome/safetyResponsibilityLetter'
        },
        securityTrainingProgram: {
          text: '安全培训方案',
          path: '/MobileDeviceHome/securityTrainingProgram'
        },
        securityTrainingQuery: {
          text: '安全培训查询',
          path: '/MobileDeviceHome/securityTrainingQuery'
        },
        securityInvestigationPlans: {
          text: '安全排查方案',
          path: '/MobileDeviceHome/securityInvestigationPlans'
        },
        securityInvestigationProject: {
          text: '安全排查计划',
          path: '/MobileDeviceHome/securityInvestigationProject'
        },
        personnelManagement: {
          text: '人员管理',
          path: '/MobileDeviceHome/personnelManagement'
        },
        LogsPage: {
          text: '日志管理',
          path: '/MobileDeviceHome/LogsPage'
        },
        GroupManagement: {
          text: '群组管理',
          path: '/MobileDeviceHome/GroupManagement'
        },
        caseEntry: {
          text: '案件录入',
          path: '/MobileDeviceHome/caseEntry'
        },
        caseExamine: {
          text: '案件审批',
          path: '/MobileDeviceHome/caseExamine'
        },
        myCase: {
          text: '我的案件',
          path: '/MobileDeviceHome/myCase'
        },
        caseHandling: {
          text: '我的案件',
          path: '/MobileDeviceHome/caseHandling'
        },
        comprehensiveEvaluation: {
          text: '综合评价',
          path: '/MobileDeviceHome/comprehensiveEvaluation'
        },
        leadershipKanban: {
          text: '领导看板',
          path: '/MobileDeviceHome/leadershipKanban'
        }
      }
    }
  },
  mounted() {
    const loading = this.$loading({
      lock: true,
      text: '',
      spinner: 'el-icon-loading',
      background: 'rgba(0, 0, 0, 0.7)',
      customClass: 'ding-loading'
    })
    const me_ = this
    var usercode = decodeURIComponent(utils.getParameters('usercode'))
    var pathName = decodeURIComponent(utils.getParameters('pathName'))
    console.log(usercode, pathName, 66666666666666666)
    this.sysLogin(usercode, loading, pathName)
    // me_.proxyLogin(usercode, loading, pathName)
  },
  methods: {
    removeUrlParams(param) {
      const query = window.location.search.substring(1)
      if (!query) {
        return
      }
      const vars = query.split('&')
      const newVars = []
      for (var i = 0; i < vars.length; i++) {
        var pair = vars[i].split('=')
        if (pair[0] != param) {
          newVars.push(vars[i])
        }
      }
      setTimeout(() => {
        const path = `${window.location.pathname}${
          newVars.length > 0 ? '?' : ''
        }${newVars.join('&')}`
        window.history.replaceState(null, null, path)
      }, 1000)
    },
    sysLogin(code, loading, pathName) {
      let principal = {
        account: 'admin',
        password: 'artfess'
      }
      this.$store
        .dispatch('login/loginByPrincipal', principal)
        .then((loginStatus) => {
          loading.close()
          console.log(this.routeInfo, this.routeInfo[pathName])
          if (loginStatus) {
            this.$router.push({
              path: this.routeInfo[pathName].path,
              query: {title: this.routeInfo[pathName].text}
            })
            this.getAllDict()
          }
        })
    },
    proxyLogin(code, loading, pathName) {
      let url = window.context.uc + '/sso/account?code=' + code
      req.get(url)
        .then((response) => {
          loading.close()
          if (
            response &&
            response.data &&
            response.data.loginStatus
          ) {
            this.empty = false
            sessionStorage.setItem(
              'currentUser',
              JSON.stringify(response.data)
            )
            sessionStorage.setItem('token', response.data.token) // 存入一个值
            sessionStorage.setItem(
              'username',
              response.data.username
            )
            sessionStorage.setItem('account', response.data.account)
            sessionStorage.setItem('userId', response.data.userId)
            this.$store.dispatch('login/dingJump', response.data)
            this.$router.push({
              path: this.routeInfo[pathName].path,
              query: {title: this.routeInfo[pathName].text}
            })
            this.getAllDict()
          } else if (!response.data.state) {
            this.empty = true
          }
        })
        .catch((err) => {
          this.empty = true
          console.log(err)
        })
    },
    getAllDict() {
      portal.getSysDict().then((data) => {
        // console.log(data, '字典')
        if (data) {
          sessionStorage.setItem('dict_data', JSON.stringify(data))
        }
      })
    }
  }
}
</script>
<style lang="scss" scoped>
.dingdingbg {
  width: 100%;
  height: 100%;
  text-align: center;

  img {
    margin: 500px auto;
  }
}
</style>
<style lang="scss">
.ding-loading {
  .el-icon-loading {
    font-size: 26PX;
    margin-bottom: 20px;
  }
}
</style>

